<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionVariantManager Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/dfb/class_action_variant_manager.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionVariantManager Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a1b22e3933526082618bedd6780e50e2f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dfb/class_action_variant_manager.html#a1b22e3933526082618bedd6780e50e2f">ActionVariantManager</a> (<a class="el" href="../../d2/db4/classtypename.html">typename</a> type)</td></tr>
<tr class="separator:a1b22e3933526082618bedd6780e50e2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18286657e9f50784b4839e7f886cba09"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dfb/class_action_variant_manager.html#a18286657e9f50784b4839e7f886cba09">GetOnUpdateInvoker</a> ()</td></tr>
<tr class="separator:a18286657e9f50784b4839e7f886cba09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97283f11538fbcc2b3b53b2fd705a969"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dfb/class_action_variant_manager.html#a97283f11538fbcc2b3b53b2fd705a969">Clear</a> ()</td></tr>
<tr class="separator:a97283f11538fbcc2b3b53b2fd705a969"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab32701c281e4b7ee9f3bf9aa0ac47c78"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dfb/class_action_variant_manager.html#ab32701c281e4b7ee9f3bf9aa0ac47c78">SetActionVariantCount</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> count)</td></tr>
<tr class="separator:ab32701c281e4b7ee9f3bf9aa0ac47c78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4606cc643b23bc0f848a88f4aced477f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dfb/class_action_variant_manager.html#a4606cc643b23bc0f848a88f4aced477f">GetActions</a> (out <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a> &gt; variants_action)</td></tr>
<tr class="separator:a4606cc643b23bc0f848a88f4aced477f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b62760f59af419f643c2875b10c105a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dfb/class_action_variant_manager.html#a2b62760f59af419f643c2875b10c105a">GetActionsCount</a> ()</td></tr>
<tr class="separator:a2b62760f59af419f643c2875b10c105a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a197914e435b95f0556c6a7a1b79ca1cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dfb/class_action_variant_manager.html#a197914e435b95f0556c6a7a1b79ca1cb">UpdateVariants</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> item, <a class="el" href="../../d8/d83/class_object.html">Object</a> target, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> componet_index)</td></tr>
<tr class="separator:a197914e435b95f0556c6a7a1b79ca1cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa49282d41924d4a1d40795eb156a61e4"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dfb/class_action_variant_manager.html#aa49282d41924d4a1d40795eb156a61e4">m_VariantActions</a></td></tr>
<tr class="separator:aa49282d41924d4a1d40795eb156a61e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82aed17c9d974dcf5544d589fffc042a"><td class="memItemLeft" align="right" valign="top">protected&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dfb/class_action_variant_manager.html#a82aed17c9d974dcf5544d589fffc042a">m_type</a></td></tr>
<tr class="separator:a82aed17c9d974dcf5544d589fffc042a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0a73a23aa87a4fd1512bad7c533830e"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dfb/class_action_variant_manager.html#af0a73a23aa87a4fd1512bad7c533830e">e_OnUpdate</a></td></tr>
<tr class="separator:af0a73a23aa87a4fd1512bad7c533830e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html#l00001">1</a> of file <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html">ActionVariantsManager.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1b22e3933526082618bedd6780e50e2f" name="a1b22e3933526082618bedd6780e50e2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b22e3933526082618bedd6780e50e2f">&#9670;&#160;</a></span>ActionVariantManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionVariantManager::ActionVariantManager </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db4/classtypename.html">typename</a> type&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html#l00007">7</a> of file <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html">ActionVariantsManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a97283f11538fbcc2b3b53b2fd705a969" name="a97283f11538fbcc2b3b53b2fd705a969"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97283f11538fbcc2b3b53b2fd705a969">&#9670;&#160;</a></span>Clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionVariantManager::Clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html#l00019">19</a> of file <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html">ActionVariantsManager.c</a>.</p>

</div>
</div>
<a id="a4606cc643b23bc0f848a88f4aced477f" name="a4606cc643b23bc0f848a88f4aced477f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4606cc643b23bc0f848a88f4aced477f">&#9670;&#160;</a></span>GetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionVariantManager::GetActions </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a> &gt;&#160;</td>
          <td class="paramname"><em>variants_action</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html#l00040">40</a> of file <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html">ActionVariantsManager.c</a>.</p>

</div>
</div>
<a id="a2b62760f59af419f643c2875b10c105a" name="a2b62760f59af419f643c2875b10c105a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b62760f59af419f643c2875b10c105a">&#9670;&#160;</a></span>GetActionsCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionVariantManager::GetActionsCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html#l00046">46</a> of file <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html">ActionVariantsManager.c</a>.</p>

</div>
</div>
<a id="a18286657e9f50784b4839e7f886cba09" name="a18286657e9f50784b4839e7f886cba09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18286657e9f50784b4839e7f886cba09">&#9670;&#160;</a></span>GetOnUpdateInvoker()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> ActionVariantManager::GetOnUpdateInvoker </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html#l00014">14</a> of file <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html">ActionVariantsManager.c</a>.</p>

</div>
</div>
<a id="ab32701c281e4b7ee9f3bf9aa0ac47c78" name="ab32701c281e4b7ee9f3bf9aa0ac47c78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab32701c281e4b7ee9f3bf9aa0ac47c78">&#9670;&#160;</a></span>SetActionVariantCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionVariantManager::SetActionVariantCount </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>count</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html#l00024">24</a> of file <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html">ActionVariantsManager.c</a>.</p>

</div>
</div>
<a id="a197914e435b95f0556c6a7a1b79ca1cb" name="a197914e435b95f0556c6a7a1b79ca1cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a197914e435b95f0556c6a7a1b79ca1cb">&#9670;&#160;</a></span>UpdateVariants()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionVariantManager::UpdateVariants </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>componet_index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html#l00051">51</a> of file <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html">ActionVariantsManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="af0a73a23aa87a4fd1512bad7c533830e" name="af0a73a23aa87a4fd1512bad7c533830e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0a73a23aa87a4fd1512bad7c533830e">&#9670;&#160;</a></span>e_OnUpdate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> ActionVariantManager::e_OnUpdate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html#l00005">5</a> of file <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html">ActionVariantsManager.c</a>.</p>

</div>
</div>
<a id="a82aed17c9d974dcf5544d589fffc042a" name="a82aed17c9d974dcf5544d589fffc042a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82aed17c9d974dcf5544d589fffc042a">&#9670;&#160;</a></span>m_type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ActionVariantManager::m_type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html#l00004">4</a> of file <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html">ActionVariantsManager.c</a>.</p>

</div>
</div>
<a id="aa49282d41924d4a1d40795eb156a61e4" name="aa49282d41924d4a1d40795eb156a61e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa49282d41924d4a1d40795eb156a61e4">&#9670;&#160;</a></span>m_VariantActions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a>&gt; ActionVariantManager::m_VariantActions</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html#l00003">3</a> of file <a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html">ActionVariantsManager.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/<a class="el" href="../../d6/db5/_action_variants_manager_8c_source.html">ActionVariantsManager.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/dfb/class_action_variant_manager.html">ActionVariantManager</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
